;---------------------------------------------------------------------------
; Format:
; [Statedef STATENO]
; type = ?      S/C/A/L  stand/crouch/air/liedown
; movetype = ?  I/A/H    idle/attack/gethit
; physics = ?   S/C/A/N  stand/crouch/air/none
; juggle = ?             air juggle points move requires
;
; [State STATENO, ?]     ? - any number you choose
; type = ?

[Statedef 5900]
type = S

[State 5900, 1] ;Clear all int variables
type = PowerSet
trigger1 = PalNo > 6
value = 0

[State 5900, 3] ;Intro
type = ChangeState
trigger1 = roundno = 1
value = ifelse(Palno > 6,0,190)

; Lose by Time Over
; CNS difficulty: basic
; CNS x: {
[Statedef 170]
type = S
ctrl = 0
anim = 170
velset = 0,0

[State 170, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

;---------------------------------------------------------------------------
; Win state decider
; CNS difficulty: basic
; CNS x: {
[Statedef 180]
type = S

[State 0, ]
type = PlaySnd
trigger1 = time = 0
value = 65,ifelse(Teamside =2 && IsHomeTeam, 1,0)
volume = 255
channel = 9

[State 180, 1]
type = ChangeState
trigger1 = Time = 0
value = 181+random%(ifelse(palno > 6,2,3))

;---------------------------------------------------------------------------
; US Winpose
[Statedef 181]
type = S
ctrl = 0
anim = 181
velset = 0,0

[State 0, ]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0,2
;volume = 0

[State 0, ]
type = PlaySnd
trigger1 = AnimElem = 4
value = 1,3
;volume = 0




[State 0, 1]
type = Explod
trigger1 = AnimElemTime(4) > 5
trigger1 = time % 6 = 0
anim = ifelse(palno > 6,997,995)
sprpriority = 4
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1



[State 0, 1]
type = AssertSpecial
trigger1 = 1
flag = NoMusic
;flag2 = 
;flag3 = 
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = AssertSpecial
trigger1 = Time < 275
flag = roundnotover


[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

; Japanese Winpose
[Statedef 182]
type = S
ctrl = 0
anim = 182
velset = 0,0

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 4 || AnimElem = 8 || AnimElem = 12 || AnimElem = 16
value = 0,2
;volume = 0

[State 0, ]
type = PlaySnd
trigger1 = AnimElem = 26
value = 1,3
;volume = 0

[State 0, 1]
type = Explod
trigger1 = AnimElemTime(26) > 5
trigger1 = time % 6 = 0
anim = ifelse(palno > 6,997,995)
sprpriority = 4 
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1

[State 0, 1]
type = AssertSpecial
trigger1 = 1
flag = NoMusic
;flag2 = 
;flag3 = 
;ignorehitpause = 0
;persistent = 1



[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 0, 1]
type = AssertSpecial
trigger1 = Time < 275
flag = roundnotover

;Extra Winpose
[Statedef 183]
type = S
ctrl = 0
anim = 183
velset = 0,0

[State 0, ]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0,2
;volume = 0

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 2,0
;volume = 0

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 12,5
value = 0,6
volume = 255

[State 0, 1]
type = Explod
trigger1 = AnimElemTime(12) > 5 && AnimElemTime(12) < 50
trigger1 = time % 6 = 0
anim = 996
sprpriority = 4 
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1
[State 0, 1]
type = AssertSpecial
trigger1 = 1
flag = NoMusic
;flag2 = 
;flag3 = 
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = AssertSpecial
trigger1 = Time < 275
flag = roundnotover

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1
;---------------------------------------------------------------------------
; Introduction
; CNS difficulty: basic
; CNS x: {
[Statedef 191]
type = S
ctrl = 0
anim = 190
velset = 0,0

[State 191, 1] ;Freeze animation until PreIntro is over
type = ChangeAnim
trigger1 = RoundState = 0
value = 190

[State 0, 1]
type = PlaySnd
trigger1 = time = 20
value = 0,6
volume = 255

[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = PalFX
trigger1 = time = [0,50]
mul = 0,0,0
time = 1

[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = PalFX
trigger1 = time = [51,170]
mul = (statetime-50)*2,(statetime-50)*2,(statetime-50)*2
time = 1

[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = AssertSpecial
trigger1 = 1
flag = Intro

[State 0, 1]
type = Explod
trigger1 = time > 20
trigger1 = time % 6 = 0
anim = ifelse(palno > 6,997,995)
sprpriority = 4
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1

[State 0, 1]
type = Explod
trigger1 = time > 20
trigger1 = time % 6 = 0
anim = 996
sprpriority = 4 
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1

[State 191, 4] ;Change to stand state
type = ChangeAnim
trigger1 = Time = 150
value = 191
elem = AnimElemno(0)

[State 191, 4] ;Change to stand state
type = ChangeAnim
trigger1 = Time = 174
value = 192
elem = AnimElemno(0)

[State 191, 4] ;Change to stand state
type = ChangeState
trigger1 = Time = 200
value = 0

; Stand Light Punch
; CNS difficulty: easy
[Statedef 200]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 200                       ;Change animation (Def: no change)
poweradd = 20                    ;Power to add (Def: 0)
sprpriority = 2                  ;Set layering priority to 2 (in front)

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 23, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 8, 8                 ;Time attacker pauses, time opponent shakes
sparkno = 0                      ;Spark anim no (Def: set above)
sparkxy = -10, -76               ;X-offset for the "hit spark" rel. to p2,
;Y-offset for the spark rel. to p1
hitsound = s5, 0                  ;Sound to play on hit
guardsound = 6, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 5             ;Time that the opponent slides back
ground.hittime  = 12             ;Time opponent is in hit state
ground.velocity = -4             ;Velocity at which opponent is pushed
airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.4,-3           ;X-velocity at which opponent is pushed,
;Y-velocity at which opponent is pushed
air.hittime = 12                 ;Time before opponent regains control in air

[State 200, 1]
type = PlaySnd
trigger1 = Time = 4
value = 0, 0

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing strong punch
; CNS difficulty: easy
; Note the width controller. It makes KFM's push box larger, so he doesn't
; stand so close to the opponent. Hit Ctrl-C and look at the red bar at his
; feet.
; The sprpriority for this state is at -1, instead of the usual 2 for
; attacks. This makes KFM appear behind the opponent initially.
; The SprPriority controller in [State 210, 4] brings KFM to the front when
; his arm has swung over.
; To stop KFM from pausing in his swing frame, there is a ChangeAnim in
; [State 210, 3] that detects if the hit has come in contact with the
; opponent during that frame, and switches to the next animation element
; (notice the elem=6 parameter). If you don't see what I mean, try commenting
; out that controller, then hit someone with this attack.
[Statedef 210]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 65
ctrl = 0
velset = 0,0
anim = ifelse(p2bodydist X < 10,215,210)


[State 210, Width]
type = Width
trigger1 = (AnimElemTime (2) >= 0) && (AnimElemTime (7) < 0)
value = 15,0

[State 210, 1]
type = PlaySnd
trigger1 = Time = 6
value = 0, 2

[State 210, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
animtype  = Medium
damage    = 57
guardflag = MA
pausetime = 12,12
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,1
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -7.5
air.velocity = -3.5,-4



[State 210, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing light kick
; CNS difficulty: easy
[Statedef 230]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 22
ctrl = 0
velset = 0,0
anim = ifelse(p2bodydist X < 7,235,230)
sprpriority = 2

[State 210, Width]
type = Width
triggerall = Anim = 230
trigger1 = (AnimElemTime (2) >= 0) && (AnimElemTime (7) < 0)
value = 25,0

[State 230, 1]
type = PlaySnd
trigger1 = Time = 5
value = 0, 0

[State 230, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 26
guardflag = MA
pausetime = 12,12
sparkno = 0
sparkxy = -10,-37
hitsound   = s5,0
guardsound = 6,0
ground.type = Low
ground.slidetime = 10
ground.hittime  = 12
ground.velocity = -5
air.velocity = -2.5,-3.5

[State 230, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing strong kick
; CNS difficulty: easy
[Statedef 240]
type    = S
movetype= A
physics = S
juggle  = 5
poweradd= 65
ctrl = 0
velset = 0,0
anim = ifelse(p2bodydist X < 15,245,240)
sprpriority = 2

[State 240, 1]
type = PlaySnd
trigger1 = Time = 8
value = 0, 2

[State 210, Width]
type = Width
triggerall = Anim = 240
trigger1 = (AnimElemTime (2) >= 0) && (AnimElemTime (7) < 0)
value = 25,0

[State 240, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 63
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-60
hitsound   = s5,1
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -8
air.velocity = -2.2,-3.2

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; Standing strong kick
; CNS difficulty: easy
[Statedef 300]
type    = S
movetype= A
physics = S
juggle  = 5
poweradd= 65
ctrl = 0
velset = 0,0
anim = 300
sprpriority = 2

[State 240, 1]
type = PlaySnd
trigger1 = Time = 8
value = 2, 0
channel = 0
volume = 255

[State 240, 1]
type = PlaySnd
trigger1 = Time = 6
value = 0, 2



[State 0, 1]
type = StateTypeSet
trigger1 = AnimElem = 3
statetype = A
physics = N
ignorehitpause = 0



[State 300, 1]
type = VelSet
trigger1 = AnimElem =3
x = 6.5
y = -3
;ignorehitpause = 0
;persistent = 1


[State 300, 1]
type = VelSet
trigger1 = movecontact
x = 0
ignorehitpause = 1


[State 300, 2]
type = VelAdd
trigger1 = AnimElemTime(3)>3
y = 0.45
;persistent = 1


[State 240, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 83
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-60
hitsound   = s5,1
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 240, 4]
type = ChangeState
trigger1 = Vel Y > 0 && Pos Y >= 0
value = 301

[Statedef 301]
type    = S
movetype= A
physics = S
anim = 301

[State 0, ]
type = VelSet
trigger1 = time = 0
x = 0
y = 0
;ignorehitpause = 0
;persistent = 1

[State 0, ]
type = PosSet
trigger1 = time = 0
y = 0
;ignorehitpause = 0
;persistent = 1

[State 0, ]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1
;anim = 
;ignorehitpause = 0
;persistent = 1



;Weak Punch
[Statedef 400]
type = C
movetype = A
physics = C
velset = 0
ctrl = 0
anim = 400
poweradd = 30

[State 400, 1]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 35
animtype = Light
getpower = 45
givepower = 15
guardflag = M
hitflag = MA
hitsound = s5,0
guardsound = 6,0
pausetime = 8,8
sparkxy = -10,-50
ground.type = Low
ground.slidetime = 10
ground.hittime  = 10
ground.velocity = -4
air.velocity = -3,-2
air.cornerpush.veloff = -6

[State 210, 1]
type = PlaySnd
trigger1 = Time = 4
value = 0, 0

[State 400, 9]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Strong Punch
[Statedef 410]
type = C
movetype = A
physics = C
velset = 0
ctrl = 0
anim = 410
poweradd = 30

[State 410, 1]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 68
animtype = Medium
getpower = 90
givepower = 30
guardflag = M
hitflag = MA
hitsound = s5,1
guardsound = 6,0
pausetime = 14,14
sparkxy = -5,-65
ground.type = Low
ground.slidetime = 18
ground.hittime  = 18
ground.velocity = -7
air.velocity = -4,-3

[State 210, 1]
type = PlaySnd
trigger1 = Time = 7
value = 0, 2

[State 410, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1


;---------------------------------------------------------------------------
;Weak Slide
[Statedef 430]
type = C
movetype = A
physics = C
velset = 0
ctrl = 0
anim = 430
poweradd = 0

[State 210, 1]
type = PlaySnd
trigger1 = Time = 4
value = 0, 4

[State 410, 1]
type = VelSet
trigger1 = AnimElemTime(2) >=0 && AnimElemTime(3) < 0
x = 5

[State 410, 1]
type = VelSet
trigger1 = AnimElem=3
x = 0

[State 100, 1]
type = MakeDust
trigger1 = AnimElemTime(2) >=0 && AnimElemTime(3) < 0
pos = 0, 0
spacing = 1


[State 420, 1]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 35
animtype = Light
getpower = 45
givepower = 15
guardflag = L
hitflag = MA
hitsound = s5,0
guardsound = 6,0
pausetime = 13,13
sparkxy = -10,-10
ground.type = Low
ground.slidetime = 15
ground.hittime  = 15
ground.velocity = -4
air.velocity = -3,-2

[State 420, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Strong Slide
[Statedef 440]
type = C
movetype = A
physics = C
velset = 0
ctrl = 0
anim = 440
poweradd = 0

[State 210, 1]
type = PlaySnd
trigger1 = Time = 4
value = 0, 4

[State 100, 1]
type = MakeDust
trigger1 = AnimElemTime(2) >=0 && AnimElemTime(3) < 0
pos = 0, 0
spacing = 1

[State 410, 1]
type = VelSet
trigger1 = AnimElemTime(2) >=0 && AnimElemTime(3) < 0
x = 6

[State 410, 1]
type = VelSet
trigger1 = AnimElem=3
x = 0

[State 430, 1]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 98
animtype = Medium
getpower = 90
givepower = 30
guardflag = L
hitflag = MA
hitsound = s5,1
guardsound = 6,0
pausetime = 14,14
sparkxy = -10,-25
ground.type = Trip
ground.slidetime = 18
ground.hittime  = 18
ground.velocity = -3.5,-8.4
air.velocity = -3.5,-8.4
guard.velocity = -7
fall = 1
air.fall = 1
fall.recover = 0
yaccel = 0.6

[State 430, 9]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;Jump Light Punch
; CNS difficulty: easy
[Statedef 600]
type    = A
movetype= A
physics = A
juggle  = 2
poweradd= 11
ctrl = 0
anim = 600
sprpriority = 2

[State 600, 1]
type = PlaySnd
trigger1 = Time = 4
value = 0, 0

[State 600, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 20
guardflag = HA
priority = 3
pausetime = 7,8
sparkno = 0
sparkxy = -10,-58
hitsound   = s5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 5
ground.hittime  = 5
ground.velocity = -4
air.velocity = -1.3,-3

[State 430, 9]
type = ChangeState
trigger1 = AnimTime = 0
value = 50

;---------------------------------------------------------------------------
;Jump Strong Punch
; CNS difficulty: easy
[Statedef 610]
type    = A
movetype= A
physics = A
juggle  = 4
poweradd= 65
ctrl = 0
anim = 610
sprpriority = 2

[State 610, 2]
type = PlaySnd
trigger1 = Time = 8
value = 0, 2

[State 610, 3]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 72
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = 1
sparkxy = -10,-55
hitsound   = s5,1
guardsound = 6,0
animtype = Med
ground.type = High
ground.slidetime = 17
ground.hittime  = 17
ground.velocity = -5
air.velocity = -3,-4

[State 430, 9]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
;---------------------------------------------------------------------------
;Jump Light Kick
; CNS difficulty: easy
[Statedef 630]
type    = A
movetype= A
physics = A
juggle  = 3
poweradd= 20
ctrl = 0
anim = 630
sprpriority = 2

[State 630, 1]
type = PlaySnd
trigger1 = Time = 3
value = 0, 0

[State 630, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 26
guardflag = HA
priority = 3
pausetime = 8,8
sparkno = 1
sparkxy = -5,-35
hitsound   = s5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 6
ground.hittime  = 6
ground.velocity = -4
air.velocity = -2,-3

;---------------------------------------------------------------------------
;Jump Strong Kick
; CNS difficulty: easy
[Statedef 640]
type    = A
movetype= A
physics = A
juggle  = 4
poweradd= 65
ctrl = 0
anim = 640
sprpriority = 2

[State 640, 2]
type = PlaySnd
trigger1 = Time = 6
value = 0, 2

[State 640, 3]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 70
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = 1
sparkxy = -10,-40
hitsound   = s5,1
guardsound = 6,0
animtype = Med
ground.type = High
ground.slidetime = 15
ground.hittime  = 15
ground.velocity = -5
air.velocity = -3,-4

[State 430, 9]
type = ChangeState
trigger1 = AnimTime = 0
value = 50

[Statedef 800]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = 800
sprpriority = 2

[State 800, 1]
type = HitDef
Trigger1 = Time = 0
attr = S, NT          ;Attributes: Standing, Normal Throw
hitflag = M-          ;Affect only ground people who are not being hit
priority = 1, Miss    ;Throw has low priority, must be miss or dodge type.
sparkno = -1          ;No spark
sprpriority = 1       ;Draw in front of p2
p1facing = 1
p2facing = 1          ;Force p2 to face KFM
p1stateno = 810       ;On success, KFM changes to state 810
p2stateno = 820       ;If hit, p2 changes to state 820 in KFM's cns
fall = 1              ;Force p2 into falling down

[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Kung Fu Throw - Throwing the opponent
[Statedef 810]
type    = A
movetype= A
physics = N
anim = 801
poweradd = 60
velset = 8, -7



[State 0, 1]
type = Gravity
trigger1 = 1
;ignorehitpause = 0
;persistent = 1


[State 191, 6]
type = PlaySnd
trigger1 = time = 1
value = 2,0
volume = 180
channel = 0

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 0, 2

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemTime(2) < 0
pos = -4, -44

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemTime(2) >= 0
pos = -4, -13

[State 810, Width 2-11]
type = Width
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(12) < 0
edge = 60,0

[State 810, Pos 15]
type = PosAdd
trigger1 = AnimElem = 2
y = -31

[State 810, State End]
type = ChangeState
trigger1 = Vel Y >0 && Pos Y >= 0
value = 811


;Kung Fu Throw - Throwing the opponent
[Statedef 811]
type    = A
movetype= A
physics = N
anim = 802
poweradd = 60
velset = 0,0

[State 0, 1]
type = EnvShake
trigger1 = !time
time = 20



[State 0, ]
type = TargetState
trigger1 = !time 
value = 821



[State 0, ]
type = TargetLifeAdd
trigger1 = !time
value = -125

[State 0, ]
type = Gravity
trigger1 = AnimElemtime(2) >= 0
;ignorehitpause = 0
;persistent = 1


[State 192, 0]; Too lazy to rip the actual ground shock
type = GameMakeAnim
trigger1 = AnimElem = 1
pos = 0,0
value = 62

[State 192, 0]
type = PlaySnd
trigger1 =  AnimElem = 1
value = 0, 5

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 2 || AnimElem = 4
value = 0, 2

[State 0, 1]
type = VelSet
trigger1 = time = 5
x = 2
y = -10
;ignorehitpause = 0
;persistent = 1


[State 810, State End]
type = ChangeState
triggerall = time > 5
trigger1 = vel Y > 0 && Pos Y >= 0
value = 52



;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw
[Statedef 820]
type    = A
movetype= H
physics = N
velset = 0,0

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 805

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw - thrown into the air
; (a custom gethit state)
; Description: This state has the opponent flying through the air and
;     falling down onto the ground. The SelfState controller sets the
;     opponent back using to his own state file when he his the ground.
;     Controllers 821,2 and 821,3 allow the opponent to recover by
;     hitting his recovery command when he is falling.
[Statedef 821]
type    = A
movetype= H
physics = N
poweradd = 40
anim = 5100

[State 0,1]
type = PosAdd
trigger1 = time = 0
x = 50

[State 0, 1]
type = ChangeAnim
trigger1 = time = 5
value = 5160

[State 0, ]
type = VelSet
trigger1 = time = 5
x = 3
y = -5
;ignorehitpause = 0
;persistent = 1


[State 821, 1] ;Gravity
type = VelAdd
Trigger1 = time > 5
y = .4

[State 821, 4] ;Hit ground
type = SelfState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 5100 ;Hit ground

; Punch Counter
[Statedef 900]
type    = S
movetype= A
physics = S
juggle  = 5
ctrl = 0
velset = 0,0
anim = 1021
sprpriority = 2

[State 0, 1]
type = NotHitBy
trigger1 = time <= 10
value = SCA
time = 1
;ignorehitpause = 0
;persistent = 1

[State 0, ]
type = SuperPause
trigger1 = time = 0
time = 30
anim = -1
darken = 0


[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 2, 0
channel = 0
volume = 255

[State 0, 1]
type = StateTypeSet
trigger1 = AnimElem = 2
statetype = A
physics = N
ignorehitpause = 0

[State 300, 1]
type = VelSet
trigger1 = AnimElem =2
x = 6
y = -7
;ignorehitpause = 0
;persistent = 1

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = A, SA
animtype  = Hard
damage    = 25,9
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = A, SA
animtype  = Hard
damage    = 73,5
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -4,-8
air.velocity = -4,-6
fall = 1
fall.recover = 0
yaccel = 0.5

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 1022

[Statedef 910]
type    = S
movetype= A
physics = S
juggle  = 5
poweradd= -1000
ctrl = 0
velset = 0,0
anim = 240
sprpriority = 2

[State 0, 1]
type = SuperPause
trigger1 = time = 0
time = 30
anim = -1
darken = 0
movetime = 5

[State 0, 1]
type = NotHitBy
trigger1 = time <= 20
value = SCA
time = 1
;ignorehitpause = 0
;persistent = 1


[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 2, 0
channel = 0
volume = 255

[State 240, 1]
type = PlaySnd
trigger1 = Time = 8
value = 0, 2

[State 210, Width]
type = Width
triggerall = Anim = 240
trigger1 = (AnimElemTime (2) >= 0) && (AnimElemTime (7) < 0)
value = 25,0

[State 240, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 63
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-60
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -15
air.velocity = -15,-.2
fall = 1
fall.recover = 0

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; Spin Attack
[Statedef 1000]
type    = S
movetype= A
physics = N
juggle  = 5
poweradd= 75
ctrl = 0
velset = 0,0
anim = 1000


[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1, 0
channel = 0
volume = 255

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 4 || AnimElem = 8 || AnimElem = 12 || AnimElem = 16
value = 0,2
;volume = 0

[State 300, 1]
type = VelSet
trigger1 = AnimElem =3
x = 6.5


[State 300, 1]
type = VelSet
trigger1 = AnimElem = 19
x = 0



[State 0, 1]
type = Explod
trigger1 = AnimElem = 3
anim = ifelse(Palno > 6,1002,1001)
ID = 1001
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -1
ownpal = 1
removeongethit = 1



[State 0, ]
type = RemoveExplod
trigger1 = AnimElem= 19
ID = 1001
ignorehitpause = 1
;persistent = 1




[State 240, 2]
type = HitDef
trigger1 = AnimElemTime(3) >= 0 && AnimElemTime(19) <0
trigger1 = Time% 8 = 0
attr = S, SA
animtype  = Hard
damage    = 45,5
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-60
hitsound   = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; Spin Attack
[Statedef 1010]
type    = S
movetype= A
physics = N
juggle  = 5
poweradd= 75
ctrl = 0
velset = 0,0
anim = 1010


[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1, 0
channel = 0
volume = 255

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 4 || AnimElem = 8 || AnimElem = 12 || AnimElem = 16
trigger2 = AnimElem = 20 || AnimElem = 24 || AnimElem = 28 || AnimElem = 32
value = 0,2
;volume = 0

[State 300, 1]
type = VelSet
trigger1 = AnimElem =3
x = 6.5


[State 300, 1]
type = VelSet
trigger1 = AnimElem = 34
x = 0



[State 0, 1]
type = Explod
trigger1 = AnimElem = 3
anim = ifelse(Palno > 6,1002,1001)
ID = 1001
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -1
ownpal = 1
removeongethit = 1



[State 0, ]
type = RemoveExplod
trigger1 = AnimElem= 34
ID = 1001
ignorehitpause = 1
;persistent = 1




[State 240, 2]
type = HitDef
trigger1 = AnimElemTime(3) >= 0 && AnimElemTime(34) <0
trigger1 = Time% 8 = 0
attr = S, SA
animtype  = Hard
damage    = 30,5
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-60
hitsound   = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; Spinning Upper
[Statedef 1020]
type    = S
movetype= A
physics = S
juggle  = 5
poweradd= 65
ctrl = 0
velset = 0,0
anim = 1020
sprpriority = 2

[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1, 2
channel = 0
volume = 255

[State 240, 1]
type = PlaySnd
triggerall = palno < 7
trigger1 = Time = 5
value = 0, 6

[State 0, 1]
type = StateTypeSet
trigger1 = AnimElem = 2
statetype = A
physics = N
ignorehitpause = 0

[State 0, 1]
type = Explod
trigger1 = AnimElemTime(2) > 0
trigger1 = time % 4 = 0
anim = ifelse(palno > 6,997,995)
sprpriority = 4
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,-2),2
random = 50,100
ownpal = 1

[State 0, 1]
type = Explod
triggerall = palno < 7
trigger1 = AnimElemTime(2) > 0
trigger1 = time % 5 = 0
anim = 996
sprpriority = 4
pos = 0,-40
postype = p1
random = 50,100
ownpal = 1

[State 300, 1]
type = VelSet
trigger1 = AnimElem =2
x = 6
y = -7
;ignorehitpause = 0
;persistent = 1

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = A, SA
animtype  = Hard
damage    = 43,7
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = A, SA
animtype  = Hard
damage    = 53,5
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -4,-8
air.velocity = -4,-6
fall = 1
fall.recover = 0
yaccel = 0.5

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 1022


; Spinning Upper
[Statedef 1021]
type    = S
movetype= A
physics = S
juggle  = 5
poweradd= 65
ctrl = 0
velset = 0,0
anim = 1021
sprpriority = 2

[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1, 2
channel = 0
volume = 255

[State 240, 1]
type = PlaySnd
triggerall = palno < 7
trigger1 = Time = 5
value = 0, 6

[State 0, 1]
type = StateTypeSet
trigger1 = AnimElem = 2
statetype = A
physics = N
ignorehitpause = 0

[State 0, 1]
type = Explod
trigger1 = AnimElemTime(2) > 0
trigger1 = time % 4 = 0
anim = ifelse(palno > 6,997,995)
sprpriority = 4
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,-2),2
random = 50,100
ownpal = 1

[State 0, 1]
type = Explod
triggerall = palno < 7
trigger1 = AnimElemTime(2) > 0
trigger1 = time % 5 = 0
anim = 996
sprpriority = 4
pos = 0,-40
postype = p1
random = 50,100
ownpal = 1

[State 300, 1]
type = VelSet
trigger1 = AnimElem =2
x = 6
y = -7
;ignorehitpause = 0
;persistent = 1

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = A, SA
animtype  = Hard
damage    = 53,9
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = A, SA
animtype  = Hard
damage    = 73,5
guardflag = MA
pausetime = 15,15
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -4,-8
air.velocity = -4,-6
fall = 1
fall.recover = 0
yaccel = 0.5

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 1022
[Statedef 1022]
type    = A
movetype= I
physics = A
anim = 1022

[State 0, ]
type = VelSet
trigger1 = time = 0
x = 0
y = -1

; Hurricane Attack - Classic Mode
[Statedef 2000]
type    = S
movetype= A
physics = S
juggle  = 5
poweradd= -2000
ctrl = 0
velset = 0,0
anim = 2000
sprpriority = 2

[State 240, 1]
type = PlaySnd
trigger1 = time = 60
value = 1, 1
channel = 0
volume = 255

[State 0, 1]
type = NotHitBy
trigger1 = time <= 60
value = SCA
time = 1
;ignorehitpause = 0
;persistent = 1


[State 0, 1]
type = Explod
trigger1 = AnimElemTime(2) > 0
trigger1 = time % 4 = 0
anim = 2001
sprpriority = 4
pos = 0,-5
postype = p1
vel = 0,ifelse(random<500,-2,-3)
random = 50,30
ownpal = 1

[State 1000, Helper]
type = Helper
trigger1 = NumHelper(11000) = 0
trigger1 = time = 10
postype = p1
pos = 0,0
stateno = 2002
bindtime = 50
ownpal = 1
name = "Tornado"
ID = 11000

[State 240, 4]
type = ChangeState
trigger1 = Time = 120
value = 0
ctrl = 1

[Statedef 2002]
type = S
movetype = A
physics = N
velset = 0,0
anim = 2002
sprpriority = 5
juggle = 2
ctrl = 0

[State 0, 1]
type = EnvShake
trigger1 = !time
time = 75
;freq = 60
;ampl = -4
;phase = 
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = PlaySnd
trigger1 = !time
value = 0,7
loop = 1
channel = 8
;abspan = 0
;ignorehitpause = 0
;persistent = 1

[State 0, ]
type = PlaySnd
trigger1 = time = 60
value = 0,8
;volume = 0
;channel = -1
;lowpriority = 
;freqmul = 1.0
;loop = 0
;pan = 0
;abspan = 0
;ignorehitpause = 0
;persistent = 1



[State 0, ]
type = StopSnd
trigger1 = time = 70
channel = 8
;ignorehitpause = 0
;persistent = 1





[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 2002
ID = 2002
pos = 0,0
postype = p1
removetime = 60
scale = .4, .4
ownpal = 1
sprpriority = 5
;removeongethit = 0
;ignorehitpause = 0
;persistent = 1

[State 0, ]
type = VelSet
trigger1 = time = 60 
x = 6
;y = 
;ignorehitpause = 0
;persistent = 1



[State 0, ]
type = ModifyExplod
trigger1 = time = [0,60]
ID = 2002 
scale = .4+(statetime/100.0), .4+(statetime/100.0)

[State 0, 1]
type = AssertSpecial
trigger1 = time = [0,60]
flag = Invisible
;flag2 = 
;flag3 = 
;ignorehitpause = 0
;persistent = 1


[State 4001, HitDef]
type = HitDef
trigger1 = time =40
attr = S, HP
animtype = Medium
damage = 375,50
hitflag = MAF
guardflag = MA
pausetime = 0, 15
sparkno = -1
sparkxy = 0,-35
hitsound = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -12,-12
guard.velocity = -12
guard.pausetime = 0, 25
air.velocity = -12,-12
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
fall = 1
fall.recover = 0
sprpriority = 5

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1006
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = FrontEdgeBodyDist < -70
trigger2 = time >= 200

; Hurricane Attack Lvl1- Extra Mode
[Statedef 2500]
type    = S
movetype= A
physics = S
juggle  = 5
ctrl = 0
velset = 0,0
anim = 2000
sprpriority = 2



[State 0, 1]
type = SuperPause
trigger1 = time = 0
time = 50
anim = -1
sound = s20,0
movetime = 50
darken = 1
;p2defmul = 0
poweradd = -1000
;unhittable =00 1
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,0
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,60
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,120
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,180
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275


[State 240, 1]
type = PlaySnd
trigger1 = time = 60
value = 1, 1
channel = 0
volume = 255

[State 240, 1]
type = PlaySnd
trigger1 = Time = 6
value = 0, 6



[State 0, 3]
type = NotHitBy
trigger1 = time <= 60
value = SCA
time = 1
;ignorehitpause = 0
;persistent = 1


[State 0, 1]
type = Explod
trigger1 = AnimElemTime(2) > 0
trigger1 = time % 4 = 0
anim = 2003
sprpriority = 4
pos = 0,-5
postype = p1
vel = 0,ifelse(random<500,-2,-3)
random = 50,30
ownpal = 1
supermove = 1

[State 0, 1]
type = Explod
trigger1 = time >= 5 && time < 50
trigger1 = time % 6 = 0
anim = 996
sprpriority = 4 
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1
supermove = 1

[State 1000, Helper]
type = Helper
trigger1 = NumHelper(11000) = 0
trigger1 = time = 10
postype = p1
pos = 0,0
stateno = 2502
bindtime = 50
ownpal = 1
name = "Tornado"
ID = 11000
supermovetime = 9999999

[State 240, 4]
type = ChangeState
trigger1 = Time = 120
value = 0
ctrl = 1

[Statedef 2502]
type = S
movetype = A
physics = N
velset = 0,0
anim = 2004
sprpriority = 5
juggle = 2
ctrl = 0

[State 0, 1]
type = EnvShake
trigger1 = !time
time = 75
;freq = 60
;ampl = -4
;phase = 
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = PlaySnd
trigger1 = !time
value = 0,7
loop = 1
channel = 8
;abspan = 0
;ignorehitpause = 0
;persistent = 1

[State 0, ]
type = PlaySnd
trigger1 = time = 60
value = 0,8
;volume = 0
;channel = -1
;lowpriority = 
;freqmul = 1.0
;loop = 0
;pan = 0
;abspan = 0
;ignorehitpause = 0
;persistent = 1



[State 0, ]
type = StopSnd
trigger1 = time = 70
channel = 8
;ignorehitpause = 0
;persistent = 1





[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0


[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 2004
ID = 2002
pos = 0,0
postype = p1
removetime = 60
scale = .4, .4
ownpal = 1
sprpriority = 5
supermove = 1

[State 0, 1]
type = VelSet
trigger1 = time = 60 
x = 6
;y = 
;ignorehitpause = 0
;persistent = 1



[State 0, 2]
type = ModifyExplod
trigger1 = time = [0,60]
ID = 2002 
scale = .4+(statetime/100.0), .4+(statetime/100.0)

[State 0, 1]
type = AssertSpecial
trigger1 = time = [0,60]
flag = Invisible
;flag2 = 
;flag3 = 
;ignorehitpause = 0
;persistent = 1

[State 3031, 1]
type = AfterImage
trigger1 = Time = 60
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,220
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
length = 4
TimeGap = 2
FrameGap = 2

[State 4001, HitDef]
type = HitDef
trigger1 = time =40
attr = S, HP
animtype = Medium
damage = 255,35
hitflag = MAF
guardflag = MA
pausetime = 0, 15
getpower = 0
sparkno = -1
sparkxy = 0,-35
hitsound = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -12,-12
guard.velocity = -12
air.velocity = -12,-12
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
guard.pausetime = 0, 25
fall = 1
fall.recover = 0
sprpriority = 5

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1006
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = FrontEdgeBodyDist < -70
trigger2 = time >= 200

; Hurricane Attack Lvl2- Extra Mode
[Statedef 2510]
type    = S
movetype= A
physics = S
juggle  = 5
ctrl = 0
velset = 0,0
anim = 2000
sprpriority = 2



[State 0, 1]
type = SuperPause
trigger1 = time = 0
time = 50
anim = -1
sound = s20,0
movetime = 50
darken = 1
;p2defmul = 0
poweradd = -2000
;unhittable =00 1
;ignorehitpause = 0
;persistent = 1



[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,0
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,60
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,120
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,180
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275



[State 240, 1]
type = PlaySnd
trigger1 = time = 60
value = 1, 1
channel = 0
volume = 255

[State 240, 1]
type = PlaySnd
trigger1 = Time = 6
value = 0, 6

[State 0, 3]
type = NotHitBy
trigger1 = time <= 60
value = SCA
time = 1
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = Explod
trigger1 = AnimElemTime(2) > 0
trigger1 = time % 4 = 0
anim = 2003
sprpriority = 4
pos = 0,-5
postype = p1
vel = 0,ifelse(random<500,-2,-3)
random = 50,30
ownpal = 1
supermove = 1

[State 0, 1]
type = Explod
trigger1 = time >= 5 && time < 50
trigger1 = time % 6 = 0
anim = 996
sprpriority = 4 
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1
supermove = 1

[State 1000, Helper]
type = Helper
trigger1 = NumHelper(11000) = 0
trigger1 = time = 10
postype = p1
pos = 0,0
stateno = 2512
bindtime = 50
ownpal = 1
name = "Tornado"
ID = 11000
supermovetime = 9999999

[State 240, 4]
type = ChangeState
trigger1 = Time = 120
value = 0
ctrl = 1

[Statedef 2512]
type = S
movetype = A
physics = N
velset = 0,0
anim = 2005
sprpriority = 5
juggle = 2
ctrl = 0

[State 0, 1]
type = EnvShake
trigger1 = !time
time = 75
;freq = 60
;ampl = -4
;phase = 
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = PlaySnd
trigger1 = !time
value = 0,7
loop = 1
channel = 8
;abspan = 0
;ignorehitpause = 0
;persistent = 1

[State 0, ]
type = PlaySnd
trigger1 = time = 60
value = 0,8
;volume = 0
;channel = -1
;lowpriority = 
;freqmul = 1.0
;loop = 0
;pan = 0
;abspan = 0
;ignorehitpause = 0
;persistent = 1



[State 0, ]
type = StopSnd
trigger1 = time = 70
channel = 8
;ignorehitpause = 0
;persistent = 1





[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0


[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 2005
ID = 2002
pos = 0,0
postype = p1
removetime = 60
scale = .4, .4
ownpal = 1
sprpriority = 5
;removeongethit = 0
;ignorehitpause = 0
;persistent = 1
supermove = 1

[State 0, ]
type = VelSet
trigger1 = time = 60 
x = 6
;y = 
;ignorehitpause = 0
;persistent = 1



[State 0, ]
type = ModifyExplod
trigger1 = time = [0,60]
ID = 2002 
scale = .4+(statetime/100.0), .4+(statetime/100.0)

[State 0, 1]
type = AssertSpecial
trigger1 = time = [0,60]
flag = Invisible
;flag2 = 
;flag3 = 
;ignorehitpause = 0
;persistent = 1

[State 3031, 1]
type = AfterImage
trigger1 = Time = 60
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,220
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
length = 4
TimeGap = 2
FrameGap = 2

[State 4001, HitDef]
type = HitDef
trigger1 = time =40
attr = S, HP
animtype = Medium
damage = 455,75
getpower = 0
hitflag = MAF
guardflag = MA
pausetime = 0, 15
sparkno = -1
sparkxy = 0,-35
hitsound = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -12,-12
guard.velocity = -12
guard.pausetime = 0, 25
air.velocity = -12,-12
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
fall = 1
fall.recover = 0
sprpriority = 5

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1


[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = FrontEdgeBodyDist < -70
trigger2 = time >= 200

; Super Spin Attack
[Statedef 2520]
type    = S
movetype= A
physics = N
juggle  = 5
ctrl = 0
velset = 0,0
anim = 2520
sprpriority = 2


[State 3000, Super B]
type = AfterImage
trigger1 = AnimElem = 3
time = 6
PalContrast =  0,0,255
PalBright = 10,10,10
trans = add
ignorehitpause = 1

[State 3000, Super C]
type = AfterImageTime
trigger1 = AnimTime != 0
time = 6


[State 0, 1]
type = SuperPause
trigger1 = time = 0
time = 50
anim = -1
sound = s20,0
movetime = 50
darken = 1
;p2defmul = 0
poweradd = -1000
;unhittable =00 1
;ignorehitpause = 0
;persistent = 1



[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,0
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,60
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,120
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,180
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275




[State 240, 1]
type = PlaySnd
trigger1 = Time = 6
value = 0, 6



[State 0, 3]
type = NotHitBy
trigger1 = time <= 60
value = SCA
time = 1
;ignorehitpause = 0
;persistent = 1




[State 0, 1]
type = Explod
trigger1 = time >= 5 && time < 50
trigger1 = time % 6 = 0
anim = 996
sprpriority = 4 
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1
supermove = 1

[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1, 0
channel = 0
volume = 255

[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 37
value = 2, 0
channel = 0
volume = 255

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 4 || AnimElem = 8 || AnimElem = 12 || AnimElem = 16
trigger2 = AnimElem = 20 || AnimElem = 24 || AnimElem = 28 || AnimElem = 32
value = 0,2
;volume = 0

[State 300, 1]
type = VelSet
trigger1 = AnimElem =3
x = 8


[State 300, 1]
type = VelSet
trigger1 = AnimElem = 34
x = 0



[State 0, 1]
type = Explod
trigger1 = AnimElem = 3
anim = ifelse(Palno > 6,1002,1001)
ID = 1001
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -1
ownpal = 1
removeongethit = 1



[State 0, ]
type = RemoveExplod
trigger1 = AnimElem= 34
ID = 1001
ignorehitpause = 1
;persistent = 1




[State 240, 2]
type = HitDef
trigger1 = AnimElemTime(3) >= 0 && AnimElemTime(34) <0
trigger1 = Time% 4 = 0
attr = S, SA
animtype  = Hard
damage    = 30,5
guardflag = MA
pausetime = 7,7
getpower = 0
sparkno = 3
sparkxy = -10,-60
hitsound   = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 37
attr = S, SA
animtype  = Hard
damage    = 100,10
guardflag = MA
pausetime = 45,45
getpower = 0
sparkno = 3
sparkxy = -10,-60
hitsound   = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -15,-2.2
air.velocity = -15,-2.2
guard.velocity = -4
envshake.time = 20
fall = 1
fall.recover = 0

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; Super Spin Attack
[Statedef 2530]
type    = S
movetype= A
physics = N
juggle  = 5
ctrl = 0
velset = 0,0
anim = 2520
sprpriority = 2


[State 3000, Super B]
type = AfterImage
trigger1 = AnimElem = 3
time = 6
PalContrast =  255,0,0
PalBright = 10,10,10
trans = add
ignorehitpause = 1

[State 3000, Super C]
type = AfterImageTime
trigger1 = AnimTime != 0
time = 6

[State 0, 1]
type = SuperPause
trigger1 = time = 0
time = 50
anim = -1
sound = s20,0
movetime = 50
darken = 1
;p2defmul = 0
poweradd = -2000
;unhittable =00 1
;ignorehitpause = 0
;persistent = 1



[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,0
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,60
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,120
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,180
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275



[State 240, 1]
type = PlaySnd
trigger1 = Time = 6
value = 0, 6



[State 0, 3]
type = NotHitBy
trigger1 = time <= 60
value = SCA
time = 1
;ignorehitpause = 0
;persistent = 1




[State 0, 1]
type = Explod
trigger1 = time >= 5 && time < 50
trigger1 = time % 6 = 0
anim = 996
sprpriority = 4 
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1
supermove = 1

[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1, 0
channel = 0
volume = 255

[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 37
value = 2, 0
channel = 0
volume = 255

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 4 || AnimElem = 8 || AnimElem = 12 || AnimElem = 16
trigger2 = AnimElem = 20 || AnimElem = 24 || AnimElem = 28 || AnimElem = 32
value = 0,2
;volume = 0

[State 300, 1]
type = VelSet
trigger1 = AnimElem =3
x = 10


[State 300, 1]
type = VelSet
trigger1 = AnimElem = 34
x = 0



[State 0, 1]
type = Explod
trigger1 = AnimElem = 3
anim = ifelse(Palno > 6,1002,1001)
ID = 1001
pos = 0,0
postype = p1
facing = 1
bindtime = -1
removetime = -1
ownpal = 1
removeongethit = 1



[State 0, ]
type = RemoveExplod
trigger1 = AnimElem= 34
ID = 1001
ignorehitpause = 1
;persistent = 1




[State 240, 2]
type = HitDef
trigger1 = AnimElemTime(3) >= 0 && AnimElemTime(34) <0
trigger1 = Time% 3 = 0
attr = S, SA
animtype  = Hard
damage    = 30,5
guardflag = MA
pausetime = 7,7
getpower = 0
sparkno = 3
sparkxy = -10,-60
hitsound   = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 37
attr = S, SA
animtype  = Hard
damage    = 50,5
guardflag = MA
pausetime = 25,25
getpower = 0
sparkno = 3
sparkxy = -10,-60
hitsound   = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = 2
air.velocity = -2.2,2
guard.velocity = -4

[State 240, 4]
type = ChangeState
trigger1 = AnimElemTime(37) >= 8 && Movehit
value = 1021


[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; Super Drill Upper
[Statedef 2540]
type    = S
movetype= A
physics = N
juggle  = 5
ctrl = 0
velset = 0,0
anim = 2540
sprpriority = 2

[State 3000, Super B]
type = AfterImage
trigger1 = AnimElem = 3
time = 6
PalContrast =  0,0,255
PalBright = 10,10,10
trans = add
ignorehitpause = 1

[State 3000, Super C]
type = AfterImageTime
trigger1 = AnimTime != 0
time = 6

[State 0, 1]
type = PosAdd
trigger1 = AnimElem = 3
x = 20
;y = 
;ignorehitpause = 0
;persistent = 1




[State 0, 1]
type = SuperPause
trigger1 = time = 0
time = 50
anim = -1
sound = s20,0
movetime = 50
darken = 1
;p2defmul = 0
poweradd = -1000
;unhittable =00 1
;ignorehitpause = 0
;persistent = 1



[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,0
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,60
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,120
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,180
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275




[State 240, 1]
type = PlaySnd
trigger1 = Time = 6
value = 0, 6



[State 0, 3]
type = NotHitBy
trigger1 = time <= 60
value = SCA
time = 1
;ignorehitpause = 0
;persistent = 1




[State 0, 1]
type = Explod
trigger1 = time >= 5 && time < 50
trigger1 = time % 6 = 0
anim = 996
sprpriority = 4 
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1
supermove = 1

[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1, 2
channel = 0
volume = 255

[State 240, 1]
type = PlaySnd
triggerall = palno < 7
trigger1 = AnimElem = 4
value = 0, 6

[State 0, 1]
type = StateTypeSet
trigger1 = AnimElem = 2
statetype = A
physics = N
ignorehitpause = 0

[State 0, 1]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = time % 3 = 0
anim = ifelse(palno > 6,997,995)
sprpriority = 4
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,-2),2
random = 50,100
ownpal = 1

[State 0, 1]
type = Explod
triggerall = palno < 7
trigger1 = AnimElemTime(3) >= 0
trigger1 = time % 4 = 0
anim = 996
sprpriority = 4
pos = 0,-40
postype = p1
random = 50,100
ownpal = 1

[State 300, 1]
type = VelSet
trigger1 = AnimElem =3
y = -7
;ignorehitpause = 0
;persistent = 1


[State 240, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = A, SA
animtype  = Hard
damage    = 43,7
guardflag = MA
pausetime = 17,15
getpower = 0
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = 2,-5
air.velocity = 2.2,-3.2
fall = 1
fall.recover = 0

[State 240, 2]
type = HitDef
trigger1 = AnimElemTime(4) >= 0
trigger1 = time%(ifelse(command = "x" || command = "y",2,3))=0
attr = A, SA
animtype  = Hard
damage    = 25,4
guardflag = MA
pausetime = 7,5
getpower = 0
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = .5,-6
air.velocity = .5,-6
fall = 1
fall.recover = 0
yaccel = 0.6

[State 240, 4]
type = ChangeState
trigger1 = Time = 75
value = 1022


; Super Drill Upper
[Statedef 2550]
type    = S
movetype= A
physics = N
juggle  = 5
ctrl = 0
velset = 0,0
anim = 2550
sprpriority = 2

[State 3000, Super B]
type = AfterImage
trigger1 = AnimElem = 3
time = 6
PalContrast =  255,0,0
PalBright = 10,10,10
trans = add
ignorehitpause = 1

[State 3000, Super C]
type = AfterImageTime
trigger1 = AnimTime != 0
time = 6

[State 0, 1]
type = PosAdd
trigger1 = AnimElem = 3
x = 20
;y = 
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = SuperPause
trigger1 = time = 0
time = 50
anim = -1
sound = s20,0
movetime = 50
darken = 1
;p2defmul = 0
poweradd = -2000
;unhittable =00 1
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,0
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,60
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,120
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275

[State 0, 1]
type = Explod
trigger1 = time = 0
anim = 999
pos = 0,180
postype = back
bindtime = -1
removetime = 50
supermove = 1
sprpriority = -2
ownpal = 1
scale =  1.1,.275



[State 240, 1]
type = PlaySnd
trigger1 = Time = 6
value = 0, 6



[State 0, 3]
type = NotHitBy
trigger1 = time <= 60
value = SCA
time = 1
;ignorehitpause = 0
;persistent = 1




[State 0, 1]
type = Explod
trigger1 = time >= 5 && time < 50
trigger1 = time % 6 = 0
anim = 996
sprpriority = 4 
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,1),-2
random = 50,100
ownpal = 1
supermove = 1

[State 240, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1, 2
channel = 0
volume = 255

[State 240, 1]
type = PlaySnd
triggerall = palno < 7
trigger1 = AnimElem = 4
value = 0, 6

[State 0, 1]
type = StateTypeSet
trigger1 = AnimElem = 2
statetype = A
physics = N
ignorehitpause = 0

[State 0, 1]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = time % 3 = 0
anim = ifelse(palno > 6,997,995)
sprpriority = 4
pos = 0,-40
postype = p1
vel = ifelse(random<500,-1,-2),2
random = 50,100
ownpal = 1

[State 0, 1]
type = Explod
triggerall = palno < 7
trigger1 = AnimElemTime(3) >= 0
trigger1 = time % 4 = 0
anim = 996
sprpriority = 4
pos = 0,-40
postype = p1
random = 50,100
ownpal = 1

[State 300, 1]
type = VelSet
trigger1 = AnimElem =3
y = -7
;ignorehitpause = 0
;persistent = 1


[State 240, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = A, SA
animtype  = Hard
damage    = 43,7
guardflag = MA
pausetime = 17,15
getpower = 0
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = 2,-5
air.velocity = 2.2,-3.2
fall = 1
fall.recover = 0

[State 240, 2]
type = HitDef
trigger1 = AnimElemTime(4) >= 0
trigger1 = time%(ifelse(command = "x" || command = "y",1,2))=0
attr = A, SA
animtype  = Hard
damage    = 20,4
guardflag = MA
pausetime = 6,5
getpower = 0
sparkno = 2
sparkxy = -10,-70
hitsound   = s5,2
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = .3,-6
air.velocity = .3,-6
fall = 1
fall.recover = 0
yaccel = 0.5

[State 240, 4]
type = ChangeState
trigger1 = Time = 80
value = 1022


;---------------------------------------------------------------------------
; Override common states (use same number to override) :
;---------------------------------------------------------------------------
; Forward Flip
[Statedef 100]
type    = A
physics = A
ctrl = 0
anim = 100
sprpriority = 1

[State 105, 1]
type = VelSet
trigger1 = Time = 0
x = const(velocity.run.fwd.x)
y = const(velocity.run.back.y)

[State 105, 2]
type = CtrlSet
trigger1 = Time = 2
value = 1

[State 105, 3]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 106


;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------

[Statedef -2]

[State -2, 0]
type = VarSet
trigger1 = NumHelper(11000) = 1
trigger1 = (helper(11000), MoveHit) && (P2MoveType = H) && (Enemy, Time = 0) && (Var(7) = 0)
v = 7
value = 30
ignorehitpause = 1

[State -2, 0]
type = Pause
triggerall = var(7) > 0 && roundstate = 2
trigger1 = (gametime%2) = 0 
time = 1
movetime = 0
ignorehitpause = 1

[State -2, 0]
type = Varadd
trigger1 = Var(7) > 0
v = 7
value = -1
ignorehitpause = 1
;---------------------------------------------------------------------------
; States that are executed when in self's state file (use statedef -3)
;---------------------------------------------------------------------------

[Statedef -3]
; Play "ow" sound when hit
[State -3, Ow Sound]
type = PlaySnd
triggerall = Time = 1
triggerall = alive && (random <= 500)
trigger1 = stateno = 5001 || stateno = 5011
trigger2 = stateno = 5040 || stateno = 5050
trigger3 = stateno = 5070
value = 3,0

[State -3, Landing Sound]
type = PlaySnd
triggerall = Time = 1
trigger1 = stateno = 52 ;Jump land
trigger2 = stateno = 106 ;Run-back land
value = 0, 3

[State -3, Landing Sound]
type = PlaySnd
triggerall = AnimElem =2 || AnimElem = 4
trigger1 = Anim = [45,46]
trigger2 = Anim = 100 || Anim = 105 
value = 0, 2

[State -3, Landing Sound]
type = Poweradd
triggerall = PalNo > 6
trigger1 = Gametime%2=0
trigger1 = power < 2000
value = -1

;BLINKING (FULL_POWER)
[State -2, 8]
type = PlaySnd
trigger1 = palno > 6 && roundstate = 2
trigger1 = Var(5) = 0 && power = 2000
value = 20,0
ignorehitpause = 1

[State -2, 7]
type = VarAdd
triggerall = Palno > 6
trigger1 = Power = 2000
v = 5
value = 1
ignorehitpause = 1

[State -2, 7]
type = VarSet
triggerall = Palno > 6
trigger1 = Power < 2000 && Var(5) > 0
v = 5
value = 0
ignorehitpause = 1

[State -2, 7]
type = VarSet
trigger1 = movecontact && Var(5) > 0
v = 5
value = 10
ignorehitpause = 1

[State -2, 9]
type = PalFX
trigger1 = palno > 6 && power = 2000 && roundstate = 2
trigger1 = Gametime%4=0
time = 2
mul = 384,384,384
ignorehitpause = 1

[State -2, 9]
type = PalFX
trigger1 = palno > 6 && power = 2000 && roundstate = 2
trigger1 = Gametime%8=2
time = 2
mul = 512,512,512
ignorehitpause = 1

[State -3, Landing Sound]
type = Poweradd
trigger1 = palno > 6 && power = 2000 && roundstate = 2
trigger1 = var(5) = 300
value = -100
ignorehitpause = 1

;-------------------
;MEE Template Files
;   provided by
;  Kitsune Sniper
;       ***
; Thanks, Kitsune!
;-------------------
